Security update for openstack-nova

SUSE Security Update: Security update for openstack-nova
Announcement ID: SUSE-SU-2013:0400-1
Rating: moderate
References: #799785
Affected Products:
  • SUSE Cloud 1.0

  • An update that fixes two vulnerabilities is now available.


    OpenStack Nova has been updated to fix booting from not
    allowed volumes:

    * Phil Day from HP reported a vulnerability in volume
    attachment in nova-volume, affecting the boot-from-volume
    feature. By passing a specific volume ID, an authenticated
    user may be able to boot from a volume he doesn't own,
    potentially resulting in full access to that 3rd-party
    volume contents. (CVE-2013-0208)

    Security Issue references:

    * CVE-2013-0208
    * CVE-2013-0212

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Cloud 1.0:
      zypper in -t patch sleclo10sp2-openstack-nova-7315

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Cloud 1.0 (x86_64):
    • openstack-nova-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-api-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-cert-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-compute-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-network-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-objectstore-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-scheduler-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-vncproxy-2012.1+git.1351668974.0edd3cb-0.7.1
    • openstack-nova-volume-2012.1+git.1351668974.0edd3cb-0.7.1
    • python-nova-2012.1+git.1351668974.0edd3cb-0.7.1